%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate combine

Name:           rust-combine
Version:        4.6.7
Release:    1%{?dist}
Summary:        Fast parser combinators on arbitrary streams with zero-copy support

License:        MIT
URL:            https://crates.io/crates/combine
Source0:         %{crates_source}
Patch:          combine-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fast parser combinators on arbitrary streams with zero-copy support.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "bytes" feature of the "%{crate}" crate.

%files       -n %{name}+bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytes_05-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytes_05-devel %{_description}

This package contains library source intended for building other packages which
use the "bytes_05" feature of the "%{crate}" crate.

%files       -n %{name}+bytes_05-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-03-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-03-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-03" feature of the "%{crate}" crate.

%files       -n %{name}+futures-03-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-core-03-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-core-03-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-core-03" feature of the "%{crate}" crate.

%files       -n %{name}+futures-core-03-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-io-03-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-io-03-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-io-03" feature of the "%{crate}" crate.

%files       -n %{name}+futures-io-03-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mp4-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mp4-devel %{_description}

This package contains library source intended for building other packages which
use the "mp4" feature of the "%{crate}" crate.

%files       -n %{name}+mp4-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pin-project-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pin-project-devel %{_description}

This package contains library source intended for building other packages which
use the "pin-project" feature of the "%{crate}" crate.

%files       -n %{name}+pin-project-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pin-project-lite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pin-project-lite-devel %{_description}

This package contains library source intended for building other packages which
use the "pin-project-lite" feature of the "%{crate}" crate.

%files       -n %{name}+pin-project-lite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-02-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-02-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-02" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-02-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-02-dep-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-02-dep-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-02-dep" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-02-dep-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-dep-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-dep-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-dep" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-dep-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-util-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-util-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-util" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-util-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.7-1
- initial build
